## org.mortbay.io.nio
Class SelectChannelEndPoint.IdleTask

    java.lang.Object
      org.mortbay.thread.Timeout.Task
          org.mortbay.io.nio.SelectChannelEndPoint.IdleTask

Enclosing class:
  SelectChannelEndPoint

    public class SelectChannelEndPoint.IdleTask

extends Timeout.Task

Constructor Summary
`SelectChannelEndPoint.IdleTask()`

Method Summary
`void` `expire()` Expire task.
`String` `toString()`

Methods inherited from class org.mortbay.thread.Timeout.Task
`cancel, expired, getAge, getTimestamp, isExpired, isScheduled, reschedule, schedule, schedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectChannelEndPoint.IdleTask

    public SelectChannelEndPoint.IdleTask()

Method Detail

### expire

    public void expire()

  Description copied from class: `Timeout.Task`
  Expire task. This method is called when the timeout expires. It is called in the scope of the synchronize block (on this) that sets the `Timeout.Task.isExpired()` state to true.

  Overrides:
    `expire` in class `Timeout.Task`
  See Also:
    `For an unsynchronized callback.`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.